be.ehealth.businessconnector.consultrnv2.service.impl

## Class ConsultrnPersonServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.consultrnv2.service.impl.ConsultrnPersonServiceImpl

- All Implemented Interfaces:
    ConsultrnPersonService, ConfigurationModuleBootstrap.ModuleBootstrapHook

      public class ConsultrnPersonServiceImpl
      extends Object
      implements ConsultrnPersonService, ConfigurationModuleBootstrap.ModuleBootstrapHook

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultrnPersonServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `SearchPersonBySsinResponse` | `searchPersonBySsin(SAMLToken token, SearchPersonBySsinRequest request)`
    `SearchPersonPhoneticallyResponse` | `searchPersonPhonetically(SAMLToken token, SearchPersonPhoneticallyRequest request)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultrnPersonServiceImpl

          public ConsultrnPersonServiceImpl(SessionValidator sessionValidator,
                                            EhealthReplyValidator replyValidator)

  - ### Method Detail

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

    - #### searchPersonBySsin

          public SearchPersonBySsinResponse searchPersonBySsin(SAMLToken token,
                                                               SearchPersonBySsinRequest request)
                                                        throws TechnicalConnectorException

      Specified by:
        `searchPersonBySsin` in interface `ConsultrnPersonService`
      Throws:
        `TechnicalConnectorException`

    - #### searchPersonPhonetically

          public SearchPersonPhoneticallyResponse searchPersonPhonetically(SAMLToken token,
                                                                           SearchPersonPhoneticallyRequest request)
                                                                    throws TechnicalConnectorException

      Specified by:
        `searchPersonPhonetically` in interface `ConsultrnPersonService`
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.